package fr.itsonus.bousoleplussbackend.projections;

import fr.itsonus.bousoleplussbackend.models.Axe;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.rest.core.config.Projection;

import java.util.List;

@Projection(name = "axeWithQuestion", types = {Axe.class})
public interface AxeWithQuestion {

    Integer getIdentifier();

    String getShortTitle();

    String getTitle();

    String getDescription();

    String getColor();

    @Value("#{target.getQuestions()}")
    List<QuestionProj> getQuestions();
}
